version: '3'
services:
  postgres:
    image: postgres
    container_name: penisularhr-db
    restart: always
    environment:
      POSTGRES_PASSWORD: postgres
      TZ: 'GMT'
      PGTZ: 'GMT'
    ports:
      - '5432:5432'
    volumes:
      - postgres:/data/postgres
      - ./init-data.sh:/docker-entrypoint-initdb.d/init-data.sh
    env_file:
      - .env
  redis:
    image: redis:7.2.0-alpine
    ports:
      - '6379:6379'
    volumes:
      - ./redis_data:/data

volumes:
  postgres:
    driver: local
